<template>
	<view class="page-app theme-light main-green font-1">
		<layout ref="order"></layout>
		
		<s-menu-tools />
		<s-auth-modal />
	</view>
</template>

<script>
	import layout from '@/pages/order/blind/components/layout.vue';
	export default { 
		components: {
			layout,
		},
		props: {
			
		},
		data() {
			return {
				currentIndex: 0,
			}
		},
		onLoad(options) {
		  if (options.type) {
		    this.currentIndex = options.type;
		  }
		  this.$nextTick(() => {
		  	this.$refs.order.tabChange(this.currentIndex);
		  });
		},
		methods: {
			
		}
	}
</script>

<style lang="scss" scoped>
	.page-app {
		background-color: #fafafa;
		padding-bottom: 140rpx;
		height: calc(100vh);
		padding-bottom: env(safe-area-inset-bottom);
	}
</style>